# Generated from sunspot_offline-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sunspot_offline

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?dist}
Summary: Simple failover method into your sunspot_rails + sidekiq setup
License: MIT
URL: https://github.com/anjlab/sunspot_offline
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(appraisal) >= 2.1
# BuildRequires: rubygem(appraisal) < 3
# BuildRequires: rubygem(rspec) >= 3.6
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) = 0.59.1
# BuildRequires: rubygem(solr_wrapper) = 2.0
# BuildRequires: rubygem(sqlite3) >= 1.3.6
# BuildRequires: rubygem(sqlite3) < 1.4
BuildArch: noarch

%description
Because Solr sometimes fails, it happens. It might be a maintenance work you
have to do or just Out-Of-Memory problems. If you are running search-sensitive
Rails app, you have to deal with it.This gem was developed to postpone your
index tasks automatically into a sidekiq queue if Solr engine becomes
unavailable.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Thu Sep 16 2021 mockbuilder - 0.2.0-1
- Initial package
